Skip to main content
GET
Fetch all tasks

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetAccountId
integer

Scope results to one agent account in the organization

limit
integer

Max number of tasks to return (1-1000)

offset
integer

Offset for pagination

since
integer

Filter by updatedAt >= since (unix seconds)

until
integer

Filter by updatedAt <= until (unix seconds)

sort
string

Sort field (createdAt, updatedAt, scheduledFor)

order
string

Sort order (asc or desc)

id
string

Exact Task UUID

type
enum<string>

Exact Task type

Available options:
call,
text,
email,
ping,
computer,
repeating,
cronOneOff
state
enum<string>

Exact Task state

Available options:
pending,
processing,
running,
finished,
errored,
canceled,
active,
paused
contactId
string

Exact Contact ID stored on the Task

agentId
string

Exact agent/campaign ID stored on the Task

convoId
string

Exact conversation UUID

room
string

Exact conversation room ID

accountId
integer

Exact agent account ID

scheduledFor
integer

Exact scheduled Unix timestamp

createdAt
integer

Exact created Unix timestamp

updatedAt
integer

Exact updated Unix timestamp

batchId
string

Exact server-generated submission batch UUID

externalTaskId
string

Exact reusable caller-defined correlation/grouping id

contactListName
string

Exact Contact List associated with the task

meta.source
string

Exact metadata match. Replace source with a nested metadata path such as meta.crm.leadId.

outcome
string

Task outcome (goal_met, terminal_negative, goal_incomplete, or retries_exhausted)

q
string

Search by phone number, externalTaskId, or task id

Response

List of tasks

success
boolean
Example:

true

total
number
Example:

123

tasks
object[]